<?php
// +-----------------------------------------------------------------------+
// | Fun Snow - a Piwigo Plugin                                            |
// | Copyright (C) 2008 Ruben ARNAUD - rub@piwigo.org                      |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

/*
Plugin Name: Fun Snow
Version: 2.0.b
Description: Add snow on your page / Ajoute de la neige  ta page
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=255
Author: Ruben ARNAUD
Author URI: http://photograph.piwigo.net/
*/

if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

function snow_tail()
{
  global $template, $conf;

  $page_name = script_basename();
  if (! isset($conf['fun_snow_pages']))
  {
    $conf['fun_snow_pages'] = array
    (
      'admin' => false,
      'comments' => true,
      'identification' => true,
      'index' => true,
      'password' => true,
      'picture' => true,
      'popuphelp' => true,
      'profile' => true,
      'register' => true,
      'search' => true,
      'tags' => true,
    );
  }

  if (isset($conf['fun_snow_pages'][$page_name]) and $conf['fun_snow_pages'][$page_name])
  {
    $code_snow = '<script language="javascript" src="http://images.topflood.com/neige-perso.php"></script>';

    if (method_exists($template, 'append'))
    {
      $template->append('footer_elements', $code_snow);
    }
    else
    {
      $template->assign_block_vars('footer_element', array('CONTENT' => $code_snow));
    }
  }
}

add_event_handler('loc_end_page_tail', 'snow_tail');

?>
